Bug 730326 - Review Request: telepathy-kde-contact-list - Telepathy contact list application
Review Request: telepathy-kde-contact-list - Telepathy contact list application
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
:
Depends On: telepathy-qt4
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-08-12 09:53 EDT by Rex Dieter
Modified: 2011-09-18 13:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-18 13:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rnovacek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Radek Novacek 2011-09-12 09:51:57 EDT
Name: ok
License: ok
Source: wrong URL, should be
http://download.kde.org/unstable/telepathy-kde/%{version}/src/telepathy-kde-contact-list_%{version}.tar.bz2
instead of
http://download.kde.org/unstable/unstable/telepathy-kde/%{version}/src/telepathy-kde-contact-list_%{version}.tar.bz2
BRs/Reqs: ok
Macros used consistently: ok
ldconfig: not needed
Desktop file validations: ok
Docs: ok
Devel: NA
Files: file /usr/share/applications/kde4/telepathy-kde-contactlist.desktop shouldn't have executable permission
Build: ok
rpmlint:
telepathy-kde-contact-list.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 4)
telepathy-kde-contact-list.x86_64: E: script-without-shebang /usr/share/applications/kde4/telepathy-kde-contactlist.desktop
telepathy-kde-contact-list.x86_64: W: no-manual-page-for-binary telepathy-kde-contactlist
Comment 2 Rex Dieter 2011-09-15 09:35:25 EDT
http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-contact-list.spec
SRPM URL:
http://rdieter.fedorapeople.org/rpms/telepathy-kde/telepathy-kde-contact-list-0.1.0-2.fc15.src.rpm

%changelog
* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix mixed tabs/spaces

The executable .desktop file thing is mostly harmless.  in fact, kde is shipping most .desktop files as executable these days (an added security measure).
Comment 3 Radek Novacek 2011-09-16 02:25:47 EDT
Thanks for fixing the issues, setting fedora-review+.
Comment 4 Rex Dieter 2011-09-16 10:36:25 EDT
New Package SCM Request
=======================
Package Name: telepathy-kde-contact-list
Short Description: Telepathy contact list application
Owners: jreznik rdieter
Branches: f15 f16
Comment 5 Jon Ciesla 2011-09-16 21:59:14 EDT
Git done (by process-git-requests).
Comment 6 Rex Dieter 2011-09-18 13:40:31 EDT
imported

Note You need to log in before you can comment on or make changes to this bug.